// -----------------------------------------------------------------------------
//	File		: demoCDEF.h
//	Date		: August 24, 1994
//	Author		: Jim Stout
//	Purpose		: header file for demoCDEF.c
//
// -----------------------------------------------------------------------------
#define TABCNTL 3			// the DITL item number for the tabPanel CDEF
#define DITLBASE 4			// OK, Cancel, Tab Control, Disable on all panels
#define MAXFONTSIZES 5

// the types of panels we demo

enum {
	BUTTONS = 1,
	POPUPS,
	SPINNERS,
	DATETIME,
	HSLIDERS,
	VSLIDERS,
	PROGBARS
};

enum {							// controls on the BUTTONS panel
	DISABLE = DITLBASE,
	CB1,
	CB2,
	CB3,
	CB4,
	RB1,
	RB2,
	RB3,
	RB4,
	TB1,
	TB2,
	TB3,
	TB4,
	PB1,
	PB2,
	FONTPOP,
	ST1,
	EDITSIZE,
	SIZEPOP,
	SETFONT
};
enum {							// controls on the SPINNERS panel
	SPIN1 = DITLBASE+1,
	SPIN2,
	SPIN3,
	SPIN4,
	SPIN5,
	SPIN6,
	EDITSPIN,
	FRACTSPIN
};

#define RESET	   DITLBASE+14	// on DATETIME panel


#define HSLIDER3   DITLBASE+3	// items on the HSLIDER panel
#define HSLIDERVAL DITLBASE+6

#define VSLIDER5   DITLBASE+5	// items on the VSLIDER panel
#define VSLIDERVAL DITLBASE+7

#define PROG9 DITLBASE+9		// controls on the PROGBARS panel
#define SPIN10 DITLBASE+10